' =====================================================================
'  EXEMPLE 5 : Cet exemple montre l'utilisation des fonctions
'     de manipulation de fichiers, et la lecture du fichier des oprations
'     minitel
'  Note : Pour utilisez ce script, entrez comme rpertoire du script Minitel
'         dans les proprits du compte, le nom suivant : *SHOWOPE
'  Objectif :
'     Lecture des opration minitel en cours et affichage de celles-ci
' =====================================================================
'    Auteur : Patrick Bory
'    Rvision : 1 

' Au chargement de la macro on execute la procedure Go
#RUN=Go

' Oblige une dclaration explicite des variables pour viter les erreurs
option Explicit

' Procdure principale
Sub ShowOpe()
Dim Ok, Cmd, Srce, Dest, Mont, Mont1, Mont2, Motif, Pos, DateV
VBW.TitleStr="liste des oprations Minitel"
VBW.PrintEffect=vbwNormal
' On se place dans le rpertoire des comptes o se trouve les fichiers
VBW.ChangeDir
' On ouvre s'il existe le fichier des oprations en cours
Ok=VBW.OpenReadFile(0,"MINOPE.VBW")
if not Ok then
  VBW.Print "Pas de fichier d'oprations"
else
  ' On ouvre en criture un nouveau fihcier Log
  VBW.OpenWriteFile 1,"MINLOG.VBW"
  do while not VBW.EndOfFile(0)
    Cmd = VBW.ReadFile(0)
    if VBW.EndOfFile(0) then exit do
    VBW.Print "Commande = " & Cmd
    VBW.Print "Chemin =" & VBW.ReadFile(0) ' On affiche le chemin met on ne stocke pas
    if Cmd = "VIRMT" then
      Srce = VBW.ReadFile(0)
      Dest = VBW.ReadFile(0)
      if left(Dest,1) = "#" then Dest=mid(Dest,2) : VBW.Print "Dest Sans Dbit"
      Mont = VBW.ReadFile(0)
      Motif = VBW.ReadFile(0)
      DateV=""
      if (Motif=chr(1)) then
          Motif = VBW.ReadFile(0)
          DateV= VBW.ReadFile(0)
      end if
      Pos=InStr(Mont,".")
      Mont1 = left(Mont,Pos-1)
      Mont2 = mid(Mont,Pos+1)
      VBW.Print "    Virement sur "& Dest & " de " & Srce
      VBW.Print "    Montant : " & Mont1 & "." & Mont2
      VBW.Print "    Motif : " & Motif
      VBW.Print "    Date : " & DateV
      VBW.WriteFile 1,"Virement sur "& Dest & " de " & Srce
      VBW.WriteFile 1, "    Montant : " & Mont1 & "." & Mont2
      VBW.WriteFile 1, "    Motif : " & Motif
      VBW.WriteFile 1, "    Date : " & DateV
    elseif Cmd = "CONS" then
      Srce = VBW.ReadFile(0)
      VBW.ReadFile(0) ' Ligne ignore
      VBW.ReadFile(0) ' Ligne ignore
      VBW.ReadFile(0) ' Ligne ignore
      VBW.Print "    Lecture de " & Srce
      VBW.WriteFile 1,"Lecture de " & Srce
    elseif Cmd ="STOP" then
        VBW.PRINT "    --> Fin du traitement"
        exit sub
    else
      VBW.PRINT "    --> Opration ignore"
      VBW.ReadFile(0) ' Ligne ignore
      VBW.ReadFile(0) ' Ligne ignore
      VBW.ReadFile(0) ' Ligne ignore
      VBW.ReadFile(0) ' Ligne ignore
    end if
  loop
  ' On ferme les fichiers ouverts
  VBW.CloseFile 0
  VBW.CloseFile 1
  ' On efface le fichier si l'utilisateur est OK
  Ok=MsgBox("Effacer le fichier ?", vbYesNo, "Oprations Minitel")
  if Ok=vbYes then VBW.DeleteFile "MINOPE.VBW"
end if
End sub

Sub Go()
VBW.DeleteMenu "Afficher oprations &Minitel"      ' Pour viter un doublon si rechargement
VBW.AddMenu "Afficher oprations &Minitel","ShowOpe"
End Sub

